[How to] How to upgrade Prosody for Jitsi

I have a Jisti stable installation which currently by default comes with prosody version 0.10
Trying to upgrade prosody to version 0.11.6 by downloading and installing it, however the attempts to run Jitsi with it fail. I see various errors in the logs and the client app fails to properly establish a conference.
What are the recommended steps I need to take in order to upgrade Prosody from 0.10 to 0.11.6 and have it properly configured and integrated with existing Jitsi installation ?
Alternatively, is there a Jitsi distribution for Ubuntu 18.04 (via apt-get or otherwise) which already includes Prosody 0.11.6 ?

Welcome to the forum, @ggalperin! Fasten your seatbelt and get ready for exciting times ahead! :smiley:

@corby did a great job with this quick tutorial on how to upgrade to Prosody 0.11. Check it out, it should solve all your issues: [How to] How do I update Prosody?